/stfaggregatedhistory#
Subregion aggregated histories of all shorttermforecasts.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/stfaggregatedhistory |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/stfaggregatedhistory" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
short_term_forecast_aggregated_history_resp = hyperion_api_client.short_term_forecast_aggregated_history()
short_term_forecast_aggregated_history_df = short_term_forecast_aggregated_history_resp.df()
short_term_forecast_aggregated_history_df.head()
# Example of a Windows PowerShell request to the short_term_forecast_aggregated_history endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"sub_region_natgas`":[`"Central - TX`"],`"date_forecast_run`":`"2026-01-25`"}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/stfaggregatedhistory' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_forecast_run |
— |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_forecast_run |
— |
The date the short term forecast was simulated on in YYYY-MM-DD format |
— |
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
prod_dry_gas_bcf_day |
number |
Daily dry gas production in billion cubic feet |
— |
prod_oil_mbbl_day |
number |
Daily oil production in million barrels |
— |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Normal Output#
date_forecast_run |
date_prod |
prod_dry_gas_bcf_day |
prod_oil_mbbl_day |
sub_region_natgas |
|---|---|---|---|---|
2021-01-15 |
2020-10-01 00:00:00 |
3.632093286 |
Haynesville - TX |
|
2021-01-15 |
2020-11-01 00:00:00 |
3.856358352 |
Haynesville - TX |
|
2021-02-15 |
2020-11-01 00:00:00 |
4.056174672 |
Haynesville - TX |
|
2021-03-15 |
2020-11-01 00:00:00 |
0.0 |
Haynesville - TX |
|
2021-01-15 |
2020-12-01 00:00:00 |
4.066950179 |
Haynesville - TX |
|
2021-02-15 |
2020-12-01 00:00:00 |
4.21624451 |
Haynesville - TX |
|
2021-03-15 |
2020-12-01 00:00:00 |
4.092956553 |
Haynesville - TX |
|
2021-01-15 |
2021-01-01 00:00:00 |
4.225460516 |
Haynesville - TX |
|
2021-02-15 |
2021-01-01 00:00:00 |
4.339776135 |
Haynesville - TX |
|
2021-03-15 |
2021-01-01 00:00:00 |
4.37764833 |
Haynesville - TX |